package be.iminds.ilabt.jfed.espec.bundle;

import java.io.File;
import java.net.URL;

/**
 * BundleFetcher convenience factory to fetch ESpec Bundles in different ways.
 */
public class BundleFetcher {
    public BundleFetcher() {
    }

    public Bundle fetchDir(String dirname) {
        return fetchDir(new File(dirname));
    }
    public Bundle fetchDir(File dir) {
        return new LocalDirBundle(dir);
    }
    public Bundle fetchArchiveUrl(String url) {
        throw new RuntimeException("todo: implement");
    }
    public Bundle fetchArchiveUrl(URL url) {
        throw new RuntimeException("todo: implement");
    }
    public Bundle fetchArchiveFile(String filename) {
        throw new RuntimeException("todo: implement");
    }
    public Bundle fetchArchiveFile(File filename) {
        throw new RuntimeException("todo: implement");
    }
}
